TurboTax FAQ
TurboTax FAQ
22 people found this useful

What if I don't want to upgrade Mac OS X 10.7 or 10.8?

Although you can install and use TurboTax 2015 on Mac OS X 10.7.5 (Lion) and Mac OS X 10.8 (Mountain Lion), you won't be able to install TurboTax 2016 or beyond.

Assuming you haven't upgraded or changed computers by then, you might consider TurboTax Online for your future tax-prep needs, as it has lower system requirements and doesn't require a software installation.


GEN87336